Index: /LMDZ5/trunk/libf/dyn3d/advect.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/advect.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/advect.F	(revision 2600)
@@ -28,5 +28,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3d/advtrac.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/advtrac.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/advtrac.F90	(revision 2600)
@@ -17,5 +17,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comdissip.h"
   include "comgeom2.h"
Index: /LMDZ5/trunk/libf/dyn3d/bilan_dyn.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/bilan_dyn.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/bilan_dyn.F	(revision 2600)
@@ -14,4 +14,5 @@
 #endif
       USE comconst_mod, ONLY: pi, cpp
+      USE comvert_mod, ONLY: presnivs
 
       IMPLICIT NONE
@@ -19,5 +20,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3d/caldyn.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/caldyn.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/caldyn.F	(revision 2600)
@@ -6,4 +6,7 @@
      $  phi,conser,du,dv,dteta,dp,w,pbaru,pbarv,time )
 
+      
+      USE comvert_mod, ONLY: ap, bp
+      
       IMPLICIT NONE
 
@@ -26,5 +29,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
 
Index: /LMDZ5/trunk/libf/dyn3d/dudv2.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/dudv2.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/dudv2.F	(revision 2600)
@@ -26,7 +26,6 @@
 c=======================================================================
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
       REAL teta( ip1jmp1,llm ),pkf( ip1jmp1,llm ) ,bern( ip1jmp1,llm ),
Index: /LMDZ5/trunk/libf/dyn3d/dynetat0.f90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/dynetat0.f90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/dynetat0.f90	(revision 2600)
@@ -11,11 +11,12 @@
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
+  USE comvert_mod, ONLY: pa,preff
   USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, omeg, rad
   USE serre_mod, ONLY: clon, clat, grossismx, grossismy
+
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
   include "temps.h"
-  include "comvert.h"
   include "comgeom2.h"
   include "ener.h"
Index: /LMDZ5/trunk/libf/dyn3d/dynredem.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/dynredem.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/dynredem.F90	(revision 2600)
@@ -11,11 +11,12 @@
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER
   USE dynredem_mod, ONLY: cre_var, put_var1, put_var2, err, modname, fil
+  USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff, &
+                              nivsig,nivsigs
   USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
   USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
-      			taux,tauy
+                              taux,tauy
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom2.h"
   include "temps.h"
@@ -173,5 +174,4 @@
   include "paramet.h"
   include "description.h"
-  include "comvert.h"
   include "comgeom.h"
   include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3d/fluxstokenc.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/fluxstokenc.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/fluxstokenc.F	(revision 2600)
@@ -18,5 +18,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "tracstoke.h"
@@ -35,5 +34,5 @@
 
       REAL pbarvst(iip1,jjp1,llm),zistdyn
-	real dtcum
+        real dtcum
 
       INTEGER iadvtr,ndex(1) 
@@ -59,13 +58,13 @@
       if(first) then
 
-	CALL initfluxsto( 'fluxstoke',
+        CALL initfluxsto( 'fluxstoke',
      .  time_step,istdyn* time_step,istdyn* time_step,
      .  fluxid,fluxvid,fluxdid) 
-	
-	ndex(1) = 0
+        
+        ndex(1) = 0
         call histwrite(fluxid, 'phis', 1, phis, iip1*jjp1, ndex)
         call histwrite(fluxid, 'aire', 1, aire, iip1*jjp1, ndex)
-	
-	ndex(1) = 0
+        
+        ndex(1) = 0
         nscal = 1
         tst(1) = time_step
@@ -75,6 +74,6 @@
         istp(1)= istphy
         call histwrite(fluxdid, 'istphy', 1, istp, nscal, ndex)
-	
-	first = .false.
+        
+        first = .false.
 
       endif
@@ -140,24 +139,24 @@
 
          iadvtr=0
-	write(lunout,*)'ITAU auquel on stoke les fluxmasses',itau
-	
-	call histwrite(fluxid, 'masse', itau, massem,
+        write(lunout,*)'ITAU auquel on stoke les fluxmasses',itau
+        
+        call histwrite(fluxid, 'masse', itau, massem,
      .               iip1*jjp1*llm, ndex)
-	
-	call histwrite(fluxid, 'pbaru', itau, pbarug,
+        
+        call histwrite(fluxid, 'pbaru', itau, pbarug,
      .               iip1*jjp1*llm, ndex)
-	
-	call histwrite(fluxvid, 'pbarv', itau, pbarvg,
+        
+        call histwrite(fluxvid, 'pbarv', itau, pbarvg,
      .               iip1*jjm*llm, ndex)
-	
+        
         call histwrite(fluxid, 'w' ,itau, wg, 
      .             iip1*jjp1*llm, ndex) 
-	
-	call histwrite(fluxid, 'teta' ,itau, tetac, 
+        
+        call histwrite(fluxid, 'teta' ,itau, tetac, 
      .             iip1*jjp1*llm, ndex) 
-	
-	call histwrite(fluxid, 'phi' ,itau, phic, 
+        
+        call histwrite(fluxid, 'phi' ,itau, phic, 
      .             iip1*jjp1*llm, ndex) 
-	
+        
 C
 
Index: /LMDZ5/trunk/libf/dyn3d/gcm.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/gcm.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/gcm.F90	(revision 2600)
@@ -69,5 +69,4 @@
   include "paramet.h"
   include "comdissnew.h"
-  include "comvert.h"
   include "comgeom.h"
   include "logic.h"
Index: /LMDZ5/trunk/libf/dyn3d/groupe.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/groupe.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/groupe.F	(revision 2600)
@@ -22,5 +22,4 @@
       include "paramet.h"
       include "comgeom2.h"
-      include "comvert.h"
 
 !     integer ngroup
Index: /LMDZ5/trunk/libf/dyn3d/guide_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/guide_mod.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/guide_mod.F90	(revision 2600)
@@ -314,4 +314,5 @@
     USE control_mod, ONLY: day_step, iperiod
     USE comconst_mod, ONLY: dtvr, daysec
+    USE comvert_mod, ONLY: ap, bp, preff, presnivs
  
     IMPLICIT NONE
@@ -319,5 +320,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comvert.h"
 
     ! Variables entree
@@ -607,9 +607,9 @@
   use exner_milieu_m, only: exner_milieu
   use comconst_mod, only: kappa, cpp
+  use comvert_mod, only: preff, pressure_exner, bp, ap
   IMPLICIT NONE
 
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom2.h"
 
@@ -1517,4 +1517,5 @@
 
     USE comconst_mod, ONLY: pi
+    USE comvert_mod, ONLY: presnivs
     
     IMPLICIT NONE
@@ -1524,5 +1525,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comvert.h"
     
     ! Variables entree
Index: /LMDZ5/trunk/libf/dyn3d/iniacademic.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/iniacademic.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/iniacademic.F90	(revision 2600)
@@ -17,4 +17,5 @@
   use exner_milieu_m, only: exner_milieu
   USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
+  USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -29,5 +30,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
   include "academic.h"
Index: /LMDZ5/trunk/libf/dyn3d/integrd.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/integrd.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/integrd.F	(revision 2600)
@@ -9,4 +9,5 @@
       use control_mod, only : planet_type
       use comconst_mod, only: pi
+      use comvert_mod, only: ap, bp
 
       IMPLICIT NONE
@@ -31,5 +32,4 @@
       include "paramet.h"
       include "comgeom.h"
-      include "comvert.h"
       include "logic.h"
       include "temps.h"
Index: /LMDZ5/trunk/libf/dyn3d/leapfrog.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/leapfrog.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/leapfrog.F	(revision 2600)
@@ -20,4 +20,5 @@
       use exner_hyb_m, only: exner_hyb
       use exner_milieu_m, only: exner_milieu
+      USE comvert_mod, ONLY: ap,bp,pressure_exner,presnivs
       USE comconst_mod, ONLY: cpp, dtphys, dtvr, pi, ihf
 
@@ -58,5 +59,4 @@
       include "paramet.h"
       include "comdissnew.h"
-      include "comvert.h"
       include "comgeom.h"
       include "logic.h"
@@ -712,5 +712,5 @@
             IF( MOD(itau,iecri).EQ.0) THEN
              ! Ehouarn: output only during LF or Backward Matsuno
-	     if (leapf.or.(.not.leapf.and.(.not.forward))) then
+             if (leapf.or.(.not.leapf.and.(.not.forward))) then
               CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
               unat=0.
@@ -722,5 +722,5 @@
               if (ok_dyn_ins) then
 !               write(lunout,*) "leapfrog: call writehist, itau=",itau
-	       CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
+               CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
 !               call WriteField('ucov',reshape(ucov,(/iip1,jmp1,llm/)))
 !               call WriteField('vcov',reshape(vcov,(/iip1,jjm,llm/)))
@@ -852,5 +852,5 @@
 !                write(lunout,*) "leapfrog: call writehist (b)",
 !     &                        itau,iecri
-		CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
+                CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
               endif ! of if (ok_dyn_ins)
 #endif
Index: /LMDZ5/trunk/libf/dyn3d/qminimum.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/qminimum.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/qminimum.F	(revision 2600)
@@ -10,7 +10,6 @@
 c             pour l'eau vapeur et l'eau liquide
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
       INTEGER nqtot
Index: /LMDZ5/trunk/libf/dyn3d/sw_case_williamson91_6.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/sw_case_williamson91_6.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/sw_case_williamson91_6.F	(revision 2600)
@@ -27,4 +27,5 @@
 c=======================================================================
       USE comconst_mod, ONLY: cpp, omeg, rad
+      USE comvert_mod, ONLY: ap, bp, preff
       
       IMPLICIT NONE
@@ -35,5 +36,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom.h"
       include "iniprint.h"
Index: /LMDZ5/trunk/libf/dyn3d/top_bound.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/top_bound.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/top_bound.F	(revision 2600)
@@ -6,4 +6,5 @@
       USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
      &                        tau_top_bound
+      USE comvert_mod, ONLY: presnivs, preff, scaleheight
       
       IMPLICIT NONE
@@ -11,5 +12,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "comvert.h"
       include "comgeom2.h"
 
Index: /LMDZ5/trunk/libf/dyn3d/vlsplt.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/vlsplt.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/vlsplt.F	(revision 2600)
@@ -24,5 +24,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 
 c
@@ -157,5 +156,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "iniprint.h"
 c
@@ -532,5 +530,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
@@ -894,5 +891,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 c
 c
Index: /LMDZ5/trunk/libf/dyn3d/vlspltqs.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d/vlspltqs.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d/vlspltqs.F	(revision 2600)
@@ -31,5 +31,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 
 c
@@ -197,5 +196,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
 c
 c
@@ -568,5 +566,4 @@
       include "paramet.h"
       include "logic.h"
-      include "comvert.h"
       include "comgeom.h"
 c
Index: /LMDZ5/trunk/libf/dyn3d_common/adaptdt.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/adaptdt.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/adaptdt.F	(revision 2600)
@@ -9,14 +9,12 @@
       IMPLICIT NONE
 
-#include "dimensions.h"
-c#include "paramr2.h"
-#include "paramet.h"
-#include "comdissip.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissip.h"
+      include "comgeom2.h"
+      include "logic.h"
+      include "temps.h"
+      include "ener.h"
+      include "description.h"
 
 c----------------------------------------------------------
Index: /LMDZ5/trunk/libf/dyn3d_common/advn.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advn.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advn.F	(revision 2600)
@@ -17,10 +17,9 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c
@@ -483,9 +482,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "iniprint.h"
 c
 c
Index: /LMDZ5/trunk/libf/dyn3d_common/advx.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advx.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advx.F	(revision 2600)
@@ -18,12 +18,11 @@
 C  sm,s0,sx,sy,sz                                                C
 C  sont les arguments de sortie pour le s-pg                     C
-C								 C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 C
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 C  Arguments :
Index: /LMDZ5/trunk/libf/dyn3d_common/advxp.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advxp.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advxp.F	(revision 2600)
@@ -13,7 +13,6 @@
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
        INTEGER ntra
@@ -102,5 +101,5 @@
 c         IF (S0(i,j,l,ntra) .lt. 0. ) THEN
 c         PRINT*,'S0(',i,j,l,')=',S0(i,j,l,ntra)
-c	     print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
+c             print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
 c         print*, 'SY(',i,j,l,')=',SY(i,j,l,ntra)
 c         print*, 'SZ(',i,j,l,')=',SZ(i,j,l,ntra)
@@ -119,5 +118,5 @@
       DO j = 1, jjp1
       DO i = 1, iim
-	 sqi = sqi + S0(i,j,l,ntra)
+         sqi = sqi + S0(i,j,l,ntra)
       END DO
       END DO
@@ -611,11 +610,11 @@
 c      DO 9999 j = 1, jjp1
 c      DO 9999 i = 1, iip1
-c	   IF (S0(i,j,l,ntra).lt.0..and.LIMIT) THEN
+c           IF (S0(i,j,l,ntra).lt.0..and.LIMIT) THEN
 c           PRINT*, '-------------------'
-c	        PRINT*, 'En fin de ADVXP'
+c                PRINT*, 'En fin de ADVXP'
 c           PRINT*,'S0(',i,j,l,')=',S0(i,j,l,ntra)
-c	        print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
+c                print*, 'SSX(',i,j,l,')=',SSX(i,j,l,ntra)
 c           print*, 'SY(',i,j,l,')=',SY(i,j,l,ntra)
-c       	print*, 'SZ(',i,j,l,')=',SZ(i,j,l,ntra)
+c               print*, 'SZ(',i,j,l,')=',SZ(i,j,l,ntra)
 c            WRITE (*,*) 'On arrete !! - pbl en fin de ADVXP'
 c            STOP
@@ -628,7 +627,7 @@
          SM(iip1,j,l) = SM(1,j,l)
          S0(iip1,j,l,ntra) = S0(1,j,l,ntra)
-     	 SSX(iip1,j,l,ntra) = SSX(1,j,l,ntra)
-    	 SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
-    	 SZ(iip1,j,l,ntra) = SZ(1,j,l,ntra)
+              SSX(iip1,j,l,ntra) = SSX(1,j,l,ntra)
+             SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
+             SZ(iip1,j,l,ntra) = SZ(1,j,l,ntra)
       END DO
       END DO
Index: /LMDZ5/trunk/libf/dyn3d_common/advy.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advy.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advy.F	(revision 2600)
@@ -9,12 +9,12 @@
 C  first-order moments (SOM) advection of tracer in Y direction  C
 C                                                                C
-C  Source : Pascal Simon ( Meteo, CNRM )			 C
-C  Adaptation : A.A. (LGGE) 					 C
+C  Source : Pascal Simon ( Meteo, CNRM )                         C
+C  Adaptation : A.A. (LGGE)                                      C
 C  Derniere Modif : 15/12/94 LAST
-C								 C
-C  sont les arguments d'entree pour le s-pg			 C
-C								 C
-C  argument de sortie du s-pg					 C
-C								 C
+C                                                                C
+C  sont les arguments d'entree pour le s-pg                      C
+C                                                                C
+C  argument de sortie du s-pg                                    C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
@@ -26,8 +26,7 @@
 C
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
  
 C  Arguments :
Index: /LMDZ5/trunk/libf/dyn3d_common/advyp.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advyp.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advyp.F	(revision 2600)
@@ -11,12 +11,12 @@
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 C                                                                C
-C  Source : Pascal Simon ( Meteo, CNRM )			 C
-C  Adaptation : A.A. (LGGE) 					 C
+C  Source : Pascal Simon ( Meteo, CNRM )                         C
+C  Adaptation : A.A. (LGGE)                                      C
 C  Derniere Modif : 19/10/95 LAST
-C								 C
-C  sont les arguments d'entree pour le s-pg			 C
-C								 C
-C  argument de sortie du s-pg					 C
-C								 C
+C                                                                C
+C  sont les arguments d'entree pour le s-pg                      C
+C                                                                C
+C  argument de sortie du s-pg                                    C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
@@ -28,8 +28,7 @@
 C
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
  
 C  Arguments :
Index: /LMDZ5/trunk/libf/dyn3d_common/advz.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advz.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advz.F	(revision 2600)
@@ -16,12 +16,11 @@
 C                                                                C
 C  dq est l'argument de sortie pour le s-pg                      C
-C								 C
+C                                                                C
 CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
 C
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 C    #include "traceur.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/advzp.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/advzp.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/advzp.F	(revision 2600)
@@ -31,8 +31,7 @@
 C  parametres principaux du modele
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 C
 C  Arguments :
@@ -355,11 +354,11 @@
       DO j = 1,jjp1
           SM(iip1,j,l) = SM(1,j,l)
-	  S0(iip1,j,l,ntra) = S0(1,j,l,ntra)
+          S0(iip1,j,l,ntra) = S0(1,j,l,ntra)
           SSX(iip1,j,l,ntra) = SSX(1,j,l,ntra)
-	  SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
+          SY(iip1,j,l,ntra) = SY(1,j,l,ntra)
           SZ(iip1,j,l,ntra) = SZ(1,j,l,ntra)
       ENDDO
       ENDDO
-c										C-------------------------------------------------------------
+c                                                                                C-------------------------------------------------------------
 C *** Test : diag de la qqtite totale de tarceur
 C            dans l'atmosphere avant l'advection en z
Index: /LMDZ5/trunk/libf/dyn3d_common/caldyn0.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/caldyn0.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/caldyn0.F90	(revision 2600)
@@ -7,8 +7,8 @@
 !-------------------------------------------------------------------------------
   USE control_mod, ONLY: resetvarc 
+  USE comvert_mod, ONLY: ap, bp
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
 !===============================================================================
Index: /LMDZ5/trunk/libf/dyn3d_common/comvert_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/comvert_mod.F90	(revision 2600)
+++ /LMDZ5/trunk/libf/dyn3d_common/comvert_mod.F90	(revision 2600)
@@ -0,0 +1,37 @@
+!
+! $Id$
+!
+MODULE comvert_mod
+
+IMPLICIT NONE  
+
+INCLUDE "dimensions.h"
+
+REAL ap(llm+1) ! hybrid pressure contribution at interlayers
+REAL bp (llm+1) ! hybrid sigma contribution at interlayer
+REAL presnivs(llm) ! (reference) pressure at mid-layers
+REAL dpres(llm)
+REAL sig(llm+1)
+REAL ds(llm)
+REAL pa ! reference pressure (Pa) at which hybrid coordinates
+        ! become purely pressure (more or less)
+REAL preff  ! reference surface pressure (Pa)
+REAL nivsigs(llm)
+REAL nivsig(llm+1)
+REAL aps(llm) ! hybrid pressure contribution at mid-layers
+REAL bps(llm) ! hybrid sigma contribution at mid-layers
+REAL scaleheight ! atmospheric (reference) scale height (km)
+REAL pseudoalt(llm) ! pseudo-altitude of model levels (km), based on presnivs(),
+                     ! preff and scaleheight
+
+INTEGER disvert_type ! type of vertical discretization:
+                     ! 1: Earth (default for planet_type==earth),
+                     !     automatic generation
+                     ! 2: Planets (default for planet_type!=earth),
+                     !     using 'z2sig.def' (or 'esasig.def) file
+
+LOGICAL pressure_exner
+!     compute pressure inside layers using Exner function, else use mean
+!     of pressure values at interfaces
+
+END MODULE comvert_mod
Index: /LMDZ5/trunk/libf/dyn3d_common/conf_planete.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/conf_planete.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/conf_planete.F90	(revision 2600)
@@ -12,4 +12,5 @@
 USE comconst_mod, ONLY: pi, g, molmass, kappa, cpp, omeg, rad, &
                         year_day, daylen, daysec, ihf
+USE comvert_mod, ONLY: preff, pa
 IMPLICIT NONE
 !
@@ -17,6 +18,5 @@
 !   Declarations :
 !   --------------
-#include "dimensions.h"
-#include "comvert.h"
+
 !
 !   local:
Index: /LMDZ5/trunk/libf/dyn3d_common/disvert.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/disvert.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/disvert.F90	(revision 2600)
@@ -10,4 +10,6 @@
   use new_unit_m, only: new_unit
   use assert_m, only: assert
+  USE comvert_mod, ONLY: ap, bp, nivsigs, nivsig, dpres, presnivs, &
+                         pa, preff, scaleheight
 
   IMPLICIT NONE
@@ -15,5 +17,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "iniprint.h"
   include "logic.h"
@@ -23,5 +24,5 @@
 !          Triggered by the levels number llm.
 !-------------------------------------------------------------------------------
-! Read    in "comvert.h":
+! Read    in "comvert_mod":
 
 ! pa !--- vertical coordinate is close to a PRESSURE COORDINATE FOR P
@@ -29,5 +30,5 @@
 
 ! preff                      !--- REFERENCE PRESSURE                 (101325 Pa)
-! Written in "comvert.h":
+! Written in "comvert_mod":
 ! ap(llm+1), bp(llm+1)       !--- Ap, Bp HYBRID COEFFICIENTS AT INTERFACES
 ! aps(llm),  bps(llm)        !--- Ap, Bp HYBRID COEFFICIENTS AT MID-LAYERS
Index: /LMDZ5/trunk/libf/dyn3d_common/disvert_noterre.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/disvert_noterre.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/disvert_noterre.F	(revision 2600)
@@ -12,13 +12,14 @@
       use ioipsl_getincom
 #endif
+      USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,
+     &                       nivsig,nivsigs,pa,preff,scaleheight
       USE comconst_mod, ONLY: kappa
 
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "logic.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "logic.h"
+      include "iniprint.h"
 c
 c=======================================================================
Index: /LMDZ5/trunk/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/exner_hyb_m.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/exner_hyb_m.F90	(revision 2600)
@@ -34,4 +34,6 @@
     !
     USE comconst_mod, ONLY: jmp1, cpp, kappa, r
+    USE comvert_mod, ONLY: preff
+    
     IMPLICIT NONE
     
@@ -39,5 +41,4 @@
     include "paramet.h"
     include "comgeom.h"
-    include "comvert.h"
 
     INTEGER  ngrid
Index: /LMDZ5/trunk/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/exner_milieu_m.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/exner_milieu_m.F90	(revision 2600)
@@ -31,4 +31,6 @@
     !
     USE comconst_mod, ONLY: jmp1, cpp, kappa, r
+    USE comvert_mod, ONLY: preff
+    
     IMPLICIT NONE
     
@@ -36,5 +38,4 @@
     include "paramet.h"
     include "comgeom.h"
-    include "comvert.h"
 
     INTEGER  ngrid
Index: /LMDZ5/trunk/libf/dyn3d_common/geopot.F
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/geopot.F	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/geopot.F	(revision 2600)
@@ -27,7 +27,6 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
Index: /LMDZ5/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 2600)
@@ -10,4 +10,6 @@
 
   USE comconst_mod, ONLY: cpp, kappa, g, omeg, daysec, rad, pi
+  USE comvert_mod, ONLY: presnivs, preff, pa
+  
   IMPLICIT NONE
 
@@ -15,5 +17,4 @@
   INCLUDE "paramet.h"
   INCLUDE "comgeom.h"
-  INCLUDE "comvert.h"
   INCLUDE "netcdf.inc"
 
Index: /LMDZ5/trunk/libf/dyn3d_common/iniconst.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/iniconst.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/iniconst.F90	(revision 2600)
@@ -13,4 +13,5 @@
   USE comconst_mod, ONLY: im, imp1, jm, jmp1, lllm, lllmm1, lllmp1, &
                           unsim, pi, r, kappa, cpp, dtvr, dtphys
+  USE comvert_mod, ONLY: disvert_type, pressure_exner
   
   IMPLICIT NONE
@@ -24,5 +25,4 @@
   include "paramet.h"
   include "temps.h"
-  include "comvert.h"
   include "iniprint.h"
 
Index: /LMDZ5/trunk/libf/dyn3d_common/inidissip.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/inidissip.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/inidissip.F90	(revision 2600)
@@ -14,4 +14,5 @@
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
                           dtdiss, dtvr, rad
+  USE comvert_mod, ONLY: preff, presnivs
 
   IMPLICIT NONE
@@ -19,5 +20,4 @@
   include "paramet.h"
   include "comdissipn.h"
-  include "comvert.h"
   include "logic.h"
   include "iniprint.h"
Index: /LMDZ5/trunk/libf/dyn3d_common/initdynav.F90
===================================================================
--- /LMDZ5/trunk/libf/dyn3d_common/initdynav.F90	(revision 2599)
+++ /LMDZ5/trunk/libf/dyn3d_common/initdynav.F90	(revision 2600)
@@ -10,4 +10,5 @@
        dynhistave_file,dynhistvave_file,dynhistuave_file
   USE comconst_mod, ONLY: pi
+  USE comvert_mod, ONLY: presnivs
   implicit none
 
@@ -35,5 +36,4 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom.h"
   include "temps.h"
